﻿namespace FlutterCodeGenerator.ModelTypes
{
    internal class BoolModelType : SimpleModelType
    {
        public BoolModelType(string name) : base(typeof(bool), name)
        {
            DefaultValue = "false";
        }

        public override string GetFlutterTypeName(bool isDefault = true, bool isGenericName = false, bool isSingle = false)
        {
            return "bool";
        }
    }
}