﻿namespace FlutterCodeGenerator.ModelTypes
{
    internal class DoubleModelType : SimpleModelType
    {
        public DoubleModelType(string name) : base(typeof(double), name)
        {
            DefaultValue = "0";
        }

        public override string GetFlutterTypeName(bool isDefault = true, bool isGenericName = false, bool isSingle = false)
        {
            return "double";
        }
    }
}