﻿using System;
using System.Text;

namespace FlutterCodeGenerator.ModelTypes
{
    internal class EnumNullableModelType : ComplexModelType
    {
        public EnumNullableModelType(Type type, string name) : base(type, name)
        {
        }

        public override string GetDartString()
        {
            var dartString = new StringBuilder();
            dartString.AppendLine($"enum {GetFlutterTypeName()} {{");
            foreach (var enumvalue in Enum.GetNames(ParameterType))
            {
                dartString.AppendLine($"\t{enumvalue},");
            }
            dartString.AppendLine("}");
            return dartString.ToString();
        }
    }
}